import SR6BaseItemData from '../base-item-data.mjs';

export default class SR6ComplexformItemData extends SR6BaseItemData {
    static defineSchema() {
        const fields = foundry.data.fields;
        return {
            ...super.defineSchema(),
            duration:  new fields.StringField({ initial: "sustained" }),
            fading:    new fields.NumberField({ initial: 3 }),
            skill:     new fields.StringField({ initial: "" }),
            skillSpec: new fields.StringField({ initial: "" }),
            attrib:    new fields.StringField({ initial: "res" }),
            threshold: new fields.NumberField({ initial: 0 }),
            oppAttr1:  new fields.StringField({ initial: "" }),
            oppAttr2:  new fields.StringField({ initial: "" })
        };
    }
}